[gtkui] Switching playlist tabs with CTRL-PageUp/Down only works for empty playlists
January 05, 2012 23:33 - Jacopo Lorenzetti
Description

Switching the playlist tabs by pressing CTRL-PageUp and CTRL-Down only works for empty playlists. As soon as a non-empty
playlist is reached, the focus passes to the playlist entries and the CTRL-PageUp/Down combinations stop having the expected
effect.

History

#1 - January 06, 2012 02:33 - John Lindgren

- Status changed from New to Rejected

See my comments on #33.

#2 - January 06, 2012 03:25 - Jacopo Lorenzetti

I'm not sure if | understood which should be the correct behaviour of the Control-PageUp and Control-PageDown key combinations in the GTK
playlist.

| have different playlists open, some still empty and one with entries in it. If | press Control-PageDown from an empty playlist | am able to switch to the
next empty playlist. If | press Control-PageUp | am able to go back to the previous playlist.

If, pressing Control-PageDown, | reach the playlist with some entries in it, then | won't be able anymore to go back to the previous playlist by pressing
Control-PageUp.

Is this the correct behaviour?

#3 - January 06, 2012 06:46 - John Lindgren

Don't use CONTROL-PAGE UP and CONTROL-PAGE DOWN for switching playlists, use CONTROL-TAB and SHIFT-CONTROL-TAB. I'm not sure
why it behaves differently with an empty playlist; GTK+ acts strangely sometimes.
